﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/buildReport">
   <html>
   <head>
      <title>Build Report</title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
      <style language="text/css">
         body, p {
            font-family: tahoma, times new roman;
            color: #000;
            font-size: 10pt;
         }
         #title {
            text-align: center;
            font-size: 22pt;
            color: #F00;
         }
         .report-title {
            font-weight: bold;
            font-size: 10pt;
         }
      </style>
   </head>
   <body bgcolor="#FFFFFF" color="#000000">
      <p id="title">Build Reports</p>

      <p class="report-title">Unit Test Report</p>
      <xsl:variable name="projectDirectory" select="projectDirectory"/>
      <xsl:variable name="unitTestReportUrl" select="unitTestReport"/>
      <p><a href="file:///{$projectDirectory}/{$unitTestReportUrl}"><xsl:value-of select="$unitTestReportUrl"/></a></p>

      <p class="report-title">FxCop Report</p>
      <xsl:variable name="fxcopReportUrl" select="fxcopReport"/>
      <p><a href="file:///{$projectDirectory}/{$fxcopReportUrl}"><xsl:value-of select="$fxcopReportUrl"/></a></p>

      <p class="report-title">Vil Report</p>
      <xsl:variable name="vilReportUrl" select="vilReport"/>
      <p><a href="file:///{$projectDirectory}/{$vilReportUrl}"><xsl:value-of select="$vilReportUrl"/></a></p>

      <p class="report-title">Test Coverage Report</p>
      <xsl:variable name="coverageReportUrl" select="coverageReport"/>
      <p><a href="file:///{$projectDirectory}/{$coverageReportUrl}"><xsl:value-of select="$coverageReportUrl"/></a></p>
   </body>
   </html>
</xsl:template>
</xsl:transform>