/*
 * Copyright (C) 2005, Wei Yuan.
 * All rights reserved.
 * 
 * Author: Wei Yuan
 * Created on: August 18, 2005
 * 
 */

using System;

namespace Cavingdeep.DbTestSample {
   /// <summary>
   /// Summary.
   /// </summary>
   [Serializable]
   public class Class {

      #region Object Members
      
      /// <summary>
      /// Returns a string representation of this instance.
      /// </summary>
      public override string ToString() {
         return base.ToString();
      }
      
      /// <summary>
      /// Gets the hash code for this instance.
      /// </summary>
      public override int GetHashCode() {
         return base.GetHashCode();
      }
      
      /// <summary>
      /// Determines whether the specified instance is equal to this instance.
      /// </summary>
      public override bool Equals(object obj) {
         Class objToCompare = obj as Class;
         
         if (objToCompare == null) {
            return false;
         }
         
         return (this.GetHashCode() == objToCompare.GetHashCode());
      }
      
      #endregion
   }
}
